#ifndef D_helper_h
  #define D_helper_h

  void handleTelnet(void);
  
  // ################# Macros for debugging ################
  
  #ifdef DEBUG_TELNET
    #define     DEBUG_PRINT(x)                  telnetClient.print(x)
    #define     DEBUG_PRINTF(x,y)               telnetClient.printf(x,y)
    #define     DEBUG_PRINT_WITH_FMT(x, fmt)    telnetClient.print(x, fmt)
    #define     DEBUG_PRINTLN(x)                telnetClient.println(x)
    #define     DEBUG_PRINTLN_WITH_FMT(x, fmt)  telnetClient.println(x, fmt)
  #else
    #define     DEBUG_PRINT(x)                  Serial.print(x)
    #define     DEBUG_PRINTF(x,y)               Serial.printf(x,y)
    #define     DEBUG_PRINT_WITH_FMT(x, fmt)    Serial.print(x, fmt)
    #define     DEBUG_PRINTLN(x)                Serial.println(x)
    #define     DEBUG_PRINTLN_WITH_FMT(x, fmt)  Serial.println(x, fmt)
  #endif

#endif
